Bug 237241 - gettext rebuild fails if php is installed...
gettext rebuild fails if php is installed...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gettext (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-20 06:25 EDT by Oliver Falk
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-02 02:59:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oliver Falk 2007-04-20 06:25:12 EDT
While trying to rebuild gettext for AlphaCore, I noticed that it always breaks
at the lang-php test (Output from my Intel system):

PASS: lang-perl-2
2c2
< EUR remplace FF.
---
> EUR remplace FF.16
FAIL: lang-php
PASS: lang-po
PASS: lang-rst
======================
1 of 296 tests failed
(7 tests were not run)

It's not only true for alpha, it also happens on my Intel machine.

Two solutions I can think of:
1) Fix the test
2) Disable the test

Or do 2) until 1) is done. :-) I don't think BuildConflicts makes sense...

After uninstalling all php stuff (output from my alpha):
SKIP: lang-perl-1
Skipping test: perl package libintl-perl is not installed
SKIP: lang-perl-2
Skipping test: php not found
SKIP: lang-php
PASS: lang-po
PASS: lang-rst
=======================
All 292 tests passed
(11 tests were not run)
Comment 1 Oliver Falk 2007-04-27 06:35:02 EDT
*knock* *knock*
Comment 2 Jens Petersen 2007-04-30 04:16:12 EDT
adding a patch in gettext-0.16.1-8.fc7 to workaround the error
Comment 3 Oliver Falk 2007-05-02 02:59:34 EDT
Verified. This works fine. But there's now an other issue:
RPM build errors:
    Installed (but unpackaged) file(s) found:
   /usr/share/gettext/libintl.jar


If buildjar is 0, you need add the following:
Index: gettext.spec
===================================================================
RCS file: /cvs/dist/devel/gettext/gettext.spec,v
retrieving revision 1.74
diff -r1.74 gettext.spec
195a196,197
> %else
> %exclude %{_datadir}/%{name}/libintl.jar

Note You need to log in before you can comment on or make changes to this bug.